using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Text;

namespace GetFileForBuild
{
    public class sscmexe
    {
        public static string sscmCMD(string s_command)
        {
            string m_strSSCMCallResults = null;
            try
            {
                Process sscm = new Process();
                sscm.EnableRaisingEvents = false;
                sscm.StartInfo.UseShellExecute = false;
                sscm.StartInfo.WindowStyle = ProcessWindowStyle.Hidden;
                sscm.StartInfo.FileName = "D:\\Program Files\\Seapine\\Surround SCM2008\\sscm.exe";
                sscm.StartInfo.Arguments = s_command;
                sscm.StartInfo.RedirectStandardOutput = true;
                sscm.StartInfo.RedirectStandardInput = true;
                sscm.Start();
                sscm.WaitForExit();
                int result = sscm.ExitCode;
                m_strSSCMCallResults = sscm.StandardOutput.ReadToEnd();
                if (result == 0)
                {
                    Logger.log("Command result was success for command: " + s_command);
                }
                else if (result == 1)
                {
                    Logger.log("Command result was Failed for command: " + s_command + "\nCommand response was: " + m_strSSCMCallResults);
                }

            }
            catch (Exception e)
            {
                Logger.log("SSCM Exception: " + Convert.ToString(e));
            }
            return (m_strSSCMCallResults);
        }
    }
}
